package com.template.services;

import com.template.model.pojo.SmartSchool;
import com.template.model.pojo.SmartSchool;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartSchoolService extends IService<SmartSchool> {
    int insertSmartSchool(SmartSchool rns);

    int updateSmartSchool(SmartSchool rns);

    PageUtils<SmartSchool> queryPageSmartSchools(int currentPage, int pageCount, String name);

    int deleteSmartSchoolById(int id);

    SmartSchool getSmartById(int id);

    SmartSchool getSmartSchool();
}
